Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90	(revision 5110)
@@ -3,6 +3,6 @@
         lmt_omff, lmt_omnff, lmt_ombbl, lmt_ombbh, &
         lmt_omnat, lmt_omba)
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE dimphy
   USE netcdf, ONLY: nf90_get_var, nf90_close, nf90_noerr, nf90_inq_varid, nf90_open, nf90_nowrite
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs_new.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs_new.f90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs_new.f90	(revision 5110)
@@ -6,6 +6,6 @@
         lmt_dmsbio, lmt_h2sbio, lmt_dms, &
         lmt_dmsconc)
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE dimphy
   USE netcdf, ONLY: nf90_get_var, nf90_inq_varid, nf90_close, nf90_noerr, nf90_open, nf90_nowrite
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5110)
@@ -173,6 +173,6 @@
   USE infotrac
   USE write_field_phy
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE indice_sol_mod
 
@@ -280,6 +280,6 @@
   USE infotrac
   USE write_field_phy
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE indice_sol_mod
 
@@ -521,6 +521,6 @@
   USE infotrac
   USE write_field_phy
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE indice_sol_mod
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90	(revision 5110)
@@ -6,6 +6,6 @@
   USE ioipsl
   USE dimphy
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE traclmdz_mod
   USE infotrac,ONLY: nbtr
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90	(revision 5110)
@@ -8,6 +8,6 @@
   USE ioipsl
   USE dimphy
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE traclmdz_mod
   USE infotrac,ONLY: nbtr
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5110)
@@ -783,6 +783,6 @@
     !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_para
+    USE lmdz_grid_phy
+    USE lmdz_phys_para
     USE IOIPSL
     USE dimphy
@@ -791,5 +791,5 @@
     USE write_field_phy
 
-    USE mod_phys_lmdz_transfert_para
+    USE lmdz_phys_transfert_para
     USE lmdz_thermcell_dq, ONLY: thermcell_dq
     USE phys_cal_mod, ONLY: jD_1jan, year_len, mth_len, days_elapsed, jh_1jan, year_cur, &
@@ -4212,6 +4212,6 @@
   SUBROUTINE readregionsdims2_spl(nbreg, fileregions)
 
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_para
+    USE lmdz_grid_phy
+    USE lmdz_phys_para
 
     IMPLICIT NONE
@@ -4234,6 +4234,6 @@
           nbreg_dust, fileregionsdimsdust, &
           nbreg_bb, fileregionsdimsbb)
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_para
+    USE lmdz_grid_phy
+    USE lmdz_phys_para
 
     IMPLICIT NONE
@@ -4270,6 +4270,6 @@
   SUBROUTINE readregions_spl(iregion, filenameregion)
     USE dimphy
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_para
+    USE lmdz_grid_phy
+    USE lmdz_phys_para
 
     IMPLICIT NONE
@@ -4295,6 +4295,6 @@
   SUBROUTINE readscaleparams_spl(scale_param, nbreg, &
           filescaleparams)
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_para
+    USE lmdz_grid_phy
+    USE lmdz_phys_para
     IMPLICIT NONE
 
@@ -4332,6 +4332,6 @@
     !                                        filescaleparams,paramname,&
     !                                        julien,jH_phys, pdtphys,debutphy)
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_para
+    USE lmdz_grid_phy
+    USE lmdz_phys_para
     IMPLICIT NONE
 
@@ -4433,6 +4433,6 @@
           scale_param)
 
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_para
+    USE lmdz_grid_phy
+    USE lmdz_phys_para
     USE netcdf, ONLY: nf90_open, nf90_close, nf90_inq_varid, nf90_nowrite, nf90_noerr, nf90_get_var
     IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_dust.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_dust.f90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_dust.f90	(revision 5110)
@@ -1,6 +1,6 @@
 SUBROUTINE read_dust(debutphy, step, nbjour, dust_ec)
   USE dimphy
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE netcdf, ONLY: nf90_get_var, nf90_nowrite, nf90_open, nf90_inq_varid
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.f90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.f90	(revision 5110)
@@ -20,6 +20,6 @@
   USE dimphy
   USE indice_sol_mod
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
 
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90	(revision 5110)
@@ -6,6 +6,6 @@
        USE ioipsl
        USE dimphy
-       USE mod_grid_phy_lmdz
-       USE mod_phys_lmdz_para
+       USE lmdz_grid_phy
+       USE lmdz_phys_para
        USE iophy
        USE netcdf, ONLY:nf90_inq_varid,nf90_noerr,nf90_get_var,nf90_nowrite,nf90_inq_varid,nf90_open
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90	(revision 5110)
@@ -1,6 +1,6 @@
 SUBROUTINE read_vent(debutphy, step, nbjour, u10m_ec, v10m_ec)
   USE dimphy
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE netcdf, ONLY: nf90_get_var, nf90_open, nf90_inq_varid, nf90_nowrite
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90	(revision 5110)
@@ -8,10 +8,10 @@
   USE netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_nowrite
 
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_mpi_data, ONLY:  is_mpi_root
-  USE mod_phys_lmdz_omp_data, ONLY:  is_omp_root
+  USE lmdz_grid_phy
+  USE lmdz_phys_mpi_data, ONLY:  is_mpi_root
+  USE lmdz_phys_omp_data, ONLY:  is_omp_root
   USE phys_local_var_mod, ONLY: budg_3D_backgr_ocs, budg_3D_backgr_so2
   USE phys_local_var_mod, ONLY: OCS_lifetime, SO2_lifetime, H2SO4_lifetime, O3_clim
-  USE mod_phys_lmdz_para 
+  USE lmdz_phys_para
   USE dimphy
   USE phys_cal_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90	(revision 5110)
@@ -21,7 +21,7 @@
   USE dimphy
   USE lmdz_yomcst  , ONLY: RG, RPI
-  USE mod_phys_lmdz_para, only: gather, scatter, bcast
-  USE mod_grid_phy_lmdz, ONLY: klon_glo
-  USE mod_phys_lmdz_mpi_data, ONLY:  is_mpi_root
+  USE lmdz_phys_para, only: gather, scatter, bcast
+  USE lmdz_grid_phy, ONLY: klon_glo
+  USE lmdz_phys_mpi_data, ONLY:  is_mpi_root
   USE print_control_mod, ONLY: prt_level, lunout
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90	(revision 5110)
@@ -10,9 +10,9 @@
   USE netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_nowrite
 
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_mpi_data, ONLY:  is_mpi_root
-  USE mod_phys_lmdz_omp_data, ONLY:  is_omp_root
+  USE lmdz_grid_phy
+  USE lmdz_phys_mpi_data, ONLY:  is_mpi_root
+  USE lmdz_phys_omp_data, ONLY:  is_omp_root
 
-  USE mod_phys_lmdz_para 
+  USE lmdz_phys_para
   USE dimphy
   USE phys_cal_mod, ONLY: mth_cur
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90	(revision 5110)
@@ -9,5 +9,5 @@
     USE ioipsl_getin_p_mod, ONLY: getin_p
     USE print_control_mod, ONLY: lunout
-    USE mod_phys_lmdz_para, ONLY: is_master
+    USE lmdz_phys_para, ONLY: is_master
 
     ! Local variables
@@ -216,5 +216,5 @@
     USE regular_lonlat_mod, ONLY: lon_reg, lat_reg
     USE dimphy, ONLY: klon
-    USE mod_grid_phy_lmdz, ONLY: nbp_lat, nbp_lon
+    USE lmdz_grid_phy, ONLY: nbp_lat, nbp_lon
     USE print_control_mod, ONLY: lunout
     USE strataer_local_var_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_local_var_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_local_var_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_local_var_mod.F90	(revision 5110)
@@ -157,5 +157,5 @@
     USE ioipsl_getin_p_mod, ONLY: getin_p
     USE print_control_mod, ONLY: lunout
-    USE mod_phys_lmdz_para, ONLY: is_master
+    USE lmdz_phys_para, ONLY: is_master
     USE infotrac_phy, ONLY: id_OCS_strat, id_SO2_strat, id_H2SO4_strat, nbtr_sulgas, nbtr_bin
     USE phys_local_var_mod, ONLY: mdw
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_nuc_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_nuc_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_nuc_mod.F90	(revision 5110)
@@ -12,5 +12,5 @@
     USE ioipsl_getin_p_mod, ONLY: getin_p
     USE print_control_mod, ONLY: lunout
-    USE mod_phys_lmdz_para, ONLY: is_master
+    USE lmdz_phys_para, ONLY: is_master
     USE strataer_local_var_mod, ONLY: ALPH2SO4,flag_nuc_rate_box,nuclat_min,nuclat_max, &
          nucpres_min,nucpres_max
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90	(revision 5110)
@@ -14,6 +14,6 @@
   USE aerophys
   USE infotrac_phy
-  USE mod_phys_lmdz_mpi_data, ONLY:  is_mpi_root
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon
+  USE lmdz_phys_mpi_data, ONLY:  is_mpi_root
+  USE lmdz_grid_phy, ONLY: nbp_lon
  
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5110)
@@ -18,7 +18,7 @@
     USE aerophys
     USE geometry_mod, ONLY: cell_area, boundslat
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_mpi_data, ONLY:  is_mpi_root
-    USE mod_phys_lmdz_para, only: gather, scatter
+    USE lmdz_grid_phy
+    USE lmdz_phys_mpi_data, ONLY:  is_mpi_root
+    USE lmdz_phys_para, only: gather, scatter
     USE phys_cal_mod, ONLY: year_len, year_cur, mth_cur, day_cur, hour
     USE sulfate_aer_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/aaam_bud.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/aaam_bud.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/aaam_bud.F90	(revision 5110)
@@ -6,5 +6,5 @@
 
   USE dimphy
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, klon_glo
+  USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, klon_glo
   IMPLICIT NONE
   ! ======================================================================
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/add_phys_tend_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/add_phys_tend_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/add_phys_tend_mod.F90	(revision 5110)
@@ -33,5 +33,5 @@
   USE phys_local_var_mod
   USE phys_state_var_mod
-  USE mod_grid_phy_lmdz, ONLY: nbp_lev
+  USE lmdz_grid_phy, ONLY: nbp_lev
   IMPLICIT NONE
   REAL,SAVE,ALLOCATABLE :: hthturb_gcssold(:)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/atm2geo.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/atm2geo.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/atm2geo.F90	(revision 5110)
@@ -4,6 +4,6 @@
 SUBROUTINE atm2geo( im, jm, pte, ptn, plon, plat, pxx, pyy, pzz )
   USE dimphy
-  USE mod_phys_lmdz_para
-  USE mod_grid_phy_lmdz, only: grid_type, unstructured, regular_lonlat
+  USE lmdz_phys_para
+  USE lmdz_grid_phy, only: grid_type, unstructured, regular_lonlat
   IMPLICIT NONE
   INCLUDE 'YOMCST.h'
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/carbon_cycle_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/carbon_cycle_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/carbon_cycle_mod.F90	(revision 5110)
@@ -277,7 +277,7 @@
     USE phys_cal_mod, ONLY: mth_cur
     USE mod_synchro_omp
-    USE mod_phys_lmdz_para, ONLY: is_mpi_root, is_omp_root
-    USE mod_phys_lmdz_transfert_para
-    USE mod_phys_lmdz_omp_transfert
+    USE lmdz_phys_para, ONLY: is_mpi_root, is_omp_root
+    USE lmdz_phys_transfert_para
+    USE lmdz_phys_omp_transfert
     USE dimphy, ONLY: klon
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cfmip_point_locations.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cfmip_point_locations.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cfmip_point_locations.F90	(revision 5110)
@@ -33,5 +33,5 @@
   USE dimphy
   USE iophy
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, klon_glo
+  USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, klon_glo
 
   IMPLICIT none 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/condsurf.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/condsurf.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/condsurf.F90	(revision 5110)
@@ -3,6 +3,6 @@
 SUBROUTINE condsurf(jour, jourvrai, lmt_bils)
   USE dimphy
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE indice_sol_mod
   USE time_phylmdz_mod, ONLY: annee_ref
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90	(revision 5110)
@@ -30,5 +30,5 @@
     USE carbon_cycle_mod, ONLY: read_fco2_land_cor, var_fco2_land_cor
     USE chemistry_cycle_mod, ONLY: dms_cycle_cpl, n2o_cycle_cpl
-    USE mod_grid_phy_lmdz, ONLY: klon_glo
+    USE lmdz_grid_phy, ONLY: klon_glo
     USE print_control_mod, ONLY: lunout
     use config_ocean_skin_m, ONLY: config_ocean_skin
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cpl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cpl_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cpl_mod.F90	(revision 5110)
@@ -16,5 +16,5 @@
 !*************************************************************************************
   USE dimphy, ONLY: klon
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   USE ioipsl
   USE iophy
@@ -136,5 +136,5 @@
     USE surface_data
     USE indice_sol_mod
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, grid1dTo2d_glo, klon_glo, grid_type, unstructured, regular_lonlat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, grid1dTo2d_glo, klon_glo, grid_type, unstructured, regular_lonlat
     USE time_phylmdz_mod, ONLY: annee_ref, day_ini, itau_phy, itaufin_phy
     USE print_control_mod, ONLY: lunout
@@ -411,5 +411,5 @@
     USE indice_sol_mod
     USE time_phylmdz_mod, ONLY: start_time, itau_phy
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
     use config_ocean_skin_m, only: activate_ocean_skin
 
@@ -661,5 +661,5 @@
     USE carbon_cycle_mod, ONLY: carbon_cycle_cpl, co2_send
     USE indice_sol_mod
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
     use config_ocean_skin_m, only: activate_ocean_skin
 
@@ -921,5 +921,5 @@
     USE carbon_cycle_mod, ONLY: carbon_cycle_cpl
     USE indice_sol_mod
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
 
 ! Input arguments
@@ -1117,5 +1117,5 @@
 ! (it is done in cpl_send_seaice_fields).
 
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
 
 ! Input arguments
@@ -1173,5 +1173,5 @@
 ! will be done in cpl_send_seaice_fields.
 
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
 
 ! Input varibales
@@ -1229,5 +1229,5 @@
     USE carbon_cycle_mod, ONLY: carbon_cycle_cpl
     USE indice_sol_mod
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
     USE time_phylmdz_mod, ONLY: start_time, itau_phy
     USE config_ocean_skin_m, only: activate_ocean_skin
@@ -1541,5 +1541,5 @@
 
   SUBROUTINE cpl2gath(champ_in, champ_out, knon, knindex)
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
 ! Cette routine transforme un champs de la grille 2D recu du coupleur sur la grille 
 ! 'gathered' (la grille physiq comprime).
@@ -1554,5 +1554,5 @@
 !   champ_out    champ sur la grille 'gatherd'
 
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
 
 ! Input
@@ -1589,5 +1589,5 @@
 
   SUBROUTINE gath2cpl(champ_in, champ_out, knon, knindex)
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
 ! Cette routine ecrit un champ 'gathered' sur la grille 2D pour le passer
 ! au coupleur.
@@ -1601,5 +1601,5 @@
 !   champ_out    champ sur la grille 2D
 
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
     
 ! Input arguments
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_limit_unstruct_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_limit_unstruct_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_limit_unstruct_mod.F90	(revision 5110)
@@ -12,6 +12,6 @@
   USE lmdz_xios, ONLY: xios_set_axis_attr, xios_set_fieldgroup_attr, &
                   xios_set_filegroup_attr, xios_set_file_attr
-  USE mod_phys_lmdz_para, ONLY: is_omp_master
-  USE mod_grid_phy_lmdz, ONLY: grid_type, unstructured
+  USE lmdz_phys_para, ONLY: is_omp_master
+  USE lmdz_grid_phy, ONLY: grid_type, unstructured
   USE ioipsl, ONLY: ioget_year_len
   USE ioipsl_getin_p_mod, ONLY: getin_p
@@ -51,10 +51,10 @@
   
   SUBROUTINE create_etat0_limit_unstruct
-  USE mod_grid_phy_lmdz, ONLY: grid_type, unstructured
+  USE lmdz_grid_phy, ONLY: grid_type, unstructured
   USE create_etat0_unstruct_mod, ONLY: create_etat0_unstruct
   USE create_limit_unstruct_mod, ONLY: create_limit_unstruct
   USE phyaqua_mod, ONLY: iniaqua
   USE phys_cal_mod, only: year_len
-  USE mod_phys_lmdz_para, ONLY: is_omp_master
+  USE lmdz_phys_para, ONLY: is_omp_master
   USE ioipsl_getin_p_mod, ONLY: getin_p
   USE dimphy, ONLY: klon
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_unstruct_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_unstruct_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_unstruct_mod.F90	(revision 5110)
@@ -24,5 +24,5 @@
   USE lmdz_xios
   USE netcdf, ONLY: nf90_nowrite,nf90_close,nf90_noerr,nf90_open
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   IMPLICIT NONE
   INTEGER :: file_id, iret
@@ -88,5 +88,5 @@
   USE indice_sol_mod
   USE surface_data,      ONLY: landice_opt
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   USE print_control_mod, ONLY: lunout
   USE geometry_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/create_limit_unstruct_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/create_limit_unstruct_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/create_limit_unstruct_mod.F90	(revision 5110)
@@ -15,5 +15,5 @@
   USE indice_sol_mod
   USE phys_state_var_mod
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   IMPLICIT NONE
     INCLUDE "iniprint.h"
@@ -184,5 +184,5 @@
   USE ioipsl,             ONLY: ioget_year_len
   USE time_phylmdz_mod, ONLY: annee_ref
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   IMPLICIT NONE
    INCLUDE "iniprint.h"
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90	(revision 5110)
@@ -8,5 +8,5 @@
 
   USE ioipsl_getin_p_mod, ONLY: getin_p
-  use mod_phys_lmdz_para
+  use lmdz_phys_para
   IMPLICIT NONE
 
@@ -309,5 +309,5 @@
                     cpnk, hnk, nk, icb, icbmax, iflag, gznk, plcl)
 
-  USE mod_phys_lmdz_transfert_para, ONLY: bcast
+  USE lmdz_phys_transfert_para, ONLY: bcast
   USE add_phys_tend_mod, ONLY: fl_cor_ebil
   USE print_control_mod, ONLY: prt_level
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5110)
@@ -704,6 +704,6 @@
           &                          ucov, vcov, temp, q, omega2)
     USE dimphy
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_para
+    USE lmdz_grid_phy
+    USE lmdz_phys_para
     USE iophy
     USE phys_state_var_mod
@@ -839,6 +839,6 @@
           &                          ucov, vcov, temp, q, omega2)
     USE dimphy
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_para
+    USE lmdz_grid_phy
+    USE lmdz_phys_para
     USE phys_state_var_mod
     USE iostart
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/geo2atm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/geo2atm.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/geo2atm.F90	(revision 5110)
@@ -4,6 +4,6 @@
 SUBROUTINE geo2atm(im, jm, px, py, pz, plon, plat, pu, pv, pr)
   USE dimphy
-  USE mod_phys_lmdz_para
-  USE mod_grid_phy_lmdz, only: grid_type, unstructured, regular_lonlat
+  USE lmdz_phys_para
+  USE lmdz_grid_phy, only: grid_type, unstructured, regular_lonlat
   IMPLICIT NONE
   INCLUDE 'YOMCST.h'
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/global_mean.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/global_mean.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/global_mean.F90	(revision 5110)
@@ -6,7 +6,7 @@
 
   USE dimphy
-  USE mod_phys_lmdz_para, only: is_sequential
-  USE mod_phys_lmdz_transfert_para, only: reduce_sum
-  use mod_phys_lmdz_mpi_data, only: is_mpi_root
+  USE lmdz_phys_para, only: is_sequential
+  USE lmdz_phys_transfert_para, only: reduce_sum
+  use lmdz_phys_mpi_data, only: is_mpi_root
   USE ioipsl
   implicit none
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ice_sursat_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ice_sursat_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ice_sursat_mod.F90	(revision 5110)
@@ -89,10 +89,10 @@
 
   USE dimphy
-  USE mod_grid_phy_lmdz,  ONLY: klon_glo
+  USE lmdz_grid_phy,  ONLY: klon_glo
   USE geometry_mod, ONLY: cell_area
   USE phys_cal_mod, ONLY: mth_cur
-  USE mod_phys_lmdz_mpi_data, ONLY: is_mpi_root
-  USE mod_phys_lmdz_omp_data, ONLY: is_omp_root
-  USE mod_phys_lmdz_para, ONLY: scatter, bcast
+  USE lmdz_phys_mpi_data, ONLY: is_mpi_root
+  USE lmdz_phys_omp_data, ONLY: is_omp_root
+  USE lmdz_phys_para, ONLY: scatter, bcast
   USE print_control_mod, ONLY: lunout
   USE netcdf, ONLY: nf90_get_var, nf90_inq_varid, nf90_inquire_dimension, nf90_inq_dimid, &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/initphysto.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/initphysto.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/initphysto.F90	(revision 5110)
@@ -5,9 +5,9 @@
   
   USE dimphy
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   USE IOIPSL
   USE iophy
   USE indice_sol_mod
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, nbp_lev
+  USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, nbp_lev
   USE time_phylmdz_mod, ONLY: day_ref, annee_ref
   
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90	(revision 5110)
@@ -751,6 +751,6 @@
         ! of SISVAT, therefore it's needed here.
 
-        USE mod_phys_lmdz_mpi_data, ONLY: is_mpi_root
-        USE mod_phys_lmdz_para
+        USE lmdz_phys_mpi_data, ONLY: is_mpi_root
+        USE lmdz_phys_para
         USE VAR_SV
 
@@ -1032,6 +1032,6 @@
 
         USE dimphy
-        USE mod_grid_phy_lmdz
-        USE mod_phys_lmdz_para
+        USE lmdz_grid_phy
+        USE lmdz_phys_para
 
         USE iostart
@@ -1268,6 +1268,6 @@
         ! Objet: Ecriture de l'etat de redemarrage pour SISVAT
         !======================================================================
-        USE mod_grid_phy_lmdz
-        USE mod_phys_lmdz_para
+        USE lmdz_grid_phy
+        USE lmdz_phys_para
         USE iostart
         USE VAR_SV
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/interfoce_lim.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/interfoce_lim.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/interfoce_lim.F90	(revision 5110)
@@ -7,6 +7,6 @@
      lmt_sst_p, pctsrf_new_p)
   
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE indice_sol_mod
   USE netcdf, ONLY: nf90_get_var,nf90_close,nf90_noerr,nf90_inq_varid,nf90_open,nf90_nowrite
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90	(revision 5110)
@@ -37,9 +37,9 @@
 
     USE dimphy, ONLY: klon
-    USE mod_phys_lmdz_para, ONLY: gather, bcast, &
+    USE lmdz_phys_para, ONLY: gather, bcast, &
                                   jj_nb, jj_begin, jj_end, ii_begin, ii_end, &
                                   mpi_size, mpi_rank, klon_mpi, &
                                 is_sequential, is_south_pole_dyn
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, klon_glo, grid_type, unstructured
+  USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, klon_glo, grid_type, unstructured
   USE print_control_mod, ONLY: prt_level,lunout 
     USE ioipsl, ONLY: flio_dom_set
@@ -161,8 +161,8 @@
   SUBROUTINE init_iophy(lat,lon)
 
-    USE mod_phys_lmdz_para, ONLY: jj_begin, jj_end, ii_begin, ii_end, jj_nb, &
+    USE lmdz_phys_para, ONLY: jj_begin, jj_end, ii_begin, ii_end, jj_nb, &
                                   mpi_size, mpi_rank 
     USE ioipsl, ONLY: flio_dom_set
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
 
     IMPLICIT NONE
@@ -207,7 +207,7 @@
  SUBROUTINE histbeg_phyxios(name,itau0,zjulian,dtime,ffreq,lev,nhori,nid_day)
 !  USE dimphy
-  USE mod_phys_lmdz_para, ONLY: is_sequential, is_using_mpi, is_mpi_root, &
+  USE lmdz_phys_para, ONLY: is_sequential, is_using_mpi, is_mpi_root, &
                                 jj_begin, jj_end, jj_nb
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+  USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
   USE ioipsl, ONLY: histbeg
   USE wxios, ONLY: wxios_add_file, using_xios
@@ -248,6 +248,6 @@
   SUBROUTINE histbeg_phy(name,itau0,zjulian,dtime,nhori,nid_day)
 
-  USE mod_phys_lmdz_para, ONLY: jj_begin, jj_end, jj_nb, is_sequential
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+  USE lmdz_phys_para, ONLY: jj_begin, jj_end, jj_nb, is_sequential
+  USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
   USE ioipsl, ONLY: histbeg
 
@@ -280,8 +280,8 @@
              nname,itau0,zjulian,dtime,nnhori,nnid_day)
   USE dimphy, ONLY: klon
-  USE mod_phys_lmdz_para, ONLY: gather, bcast, &
+  USE lmdz_phys_para, ONLY: gather, bcast, &
                                 is_sequential, klon_mpi_begin, klon_mpi_end, &
                                 mpi_rank
-  USE mod_grid_phy_lmdz, ONLY: klon_glo, nbp_lon, nbp_lat, grid1dTo2d_glo
+  USE lmdz_grid_phy, ONLY: klon_glo, nbp_lon, nbp_lat, grid1dTo2d_glo
   USE ioipsl, ONLY: histbeg
 
@@ -455,9 +455,9 @@
 
     USE ioipsl, ONLY: histdef
-    USE mod_phys_lmdz_para, ONLY: jj_nb, is_master
+    USE lmdz_phys_para, ONLY: jj_nb, is_master
     USE phys_output_var_mod, ONLY: type_ecri, zoutm, zdtime_moy, lev_files, &
                                    nid_files, nhorim, swaero_diag, dryaod_diag, nfiles, &
                                    ok_4xCO2atm
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
     USE aero_mod, ONLY: naero_tot, name_aero_tau
     USE print_control_mod, ONLY: prt_level,lunout
@@ -532,9 +532,9 @@
     USE ioipsl, ONLY: histdef
     USE dimphy, ONLY: klev
-    USE mod_phys_lmdz_para, ONLY: jj_nb, is_master
+    USE lmdz_phys_para, ONLY: jj_nb, is_master
     USE phys_output_var_mod, ONLY: type_ecri, zoutm, lev_files, nid_files, &
                                    nhorim, zdtime_moy, levmin, levmax, &
                                    nvertm, nfiles
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
     USE print_control_mod, ONLY: prt_level,lunout
     IMPLICIT NONE
@@ -582,5 +582,5 @@
 
     USE ioipsl, ONLY: histdef
-    USE mod_phys_lmdz_para, ONLY: jj_nb, is_master
+    USE lmdz_phys_para, ONLY: jj_nb, is_master
     USE phys_output_var_mod, ONLY: ctrl_out, type_ecri_files, zoutm, zdtime_moy, &
                                    clef_stations, phys_out_filenames, lev_files, &
@@ -588,5 +588,5 @@
                                    ok_4xCO2atm 
     USE print_control_mod, ONLY: prt_level,lunout 
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
     USE aero_mod, ONLY: naero_tot, name_aero_tau
     USE wxios, ONLY: wxios_add_field_to_file, using_xios
@@ -698,5 +698,5 @@
     USE ioipsl, ONLY: histdef
     USE dimphy, ONLY: klev
-    USE mod_phys_lmdz_para, ONLY: jj_nb, is_master
+    USE lmdz_phys_para, ONLY: jj_nb, is_master
     USE phys_output_var_mod, ONLY: ctrl_out, type_ecri_files, zoutm, zdtime_moy, &
                                    clef_stations, phys_out_filenames, lev_files, &
@@ -704,5 +704,5 @@
                                    levmax, nvertm
     USE print_control_mod, ONLY: prt_level,lunout
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
     USE wxios, ONLY: wxios_add_field_to_file, using_xios
     USE print_control_mod, ONLY: prt_level,lunout
@@ -804,10 +804,10 @@
 
     USE dimphy, ONLY: klon
-    USE mod_phys_lmdz_para, ONLY: Gather_omp, grid1Dto2D_mpi, &
+    USE lmdz_phys_para, ONLY: Gather_omp, grid1Dto2D_mpi, &
                                   is_sequential, klon_mpi_begin, klon_mpi_end, &
                                   jj_nb, klon_mpi, is_master
     USE ioipsl, ONLY: histwrite
     USE print_control_mod, ONLY: prt_level,lunout
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
 
     IMPLICIT NONE
@@ -871,8 +871,8 @@
 
     USE dimphy, ONLY: klon
-    USE mod_phys_lmdz_para, ONLY: Gather_omp, grid1Dto2D_mpi, &
+    USE lmdz_phys_para, ONLY: Gather_omp, grid1Dto2D_mpi, &
                                   is_sequential, klon_mpi_begin, klon_mpi_end, &
                                   jj_nb, klon_mpi, is_master
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
     USE ioipsl, ONLY: histwrite
     USE print_control_mod, ONLY: prt_level,lunout
@@ -942,7 +942,7 @@
   SUBROUTINE histwrite2d_phy(var,field, STD_iff)
 
-  USE mod_phys_lmdz_omp_transfert, ONLY: bcast_omp
+  USE lmdz_phys_omp_transfert, ONLY: bcast_omp
   USE dimphy, ONLY: klon, klev
-  USE mod_phys_lmdz_para, ONLY: gather_omp, grid1dto2d_mpi, &
+  USE lmdz_phys_para, ONLY: gather_omp, grid1dto2d_mpi, &
                                 jj_nb, klon_mpi, klon_mpi_begin, &
                                 klon_mpi_end, is_sequential, is_master
@@ -952,5 +952,5 @@
                                  nid_files, swaerofree_diag, swaero_diag, dryaod_diag, ok_4xCO2atm
   USE print_control_mod, ONLY: prt_level,lunout
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, grid_type, unstructured, regular_lonlat
+  USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, grid_type, unstructured, regular_lonlat
   USE lmdz_xios, ONLY: xios_send_field, xios_field_is_active, using_xios
   USE print_control_mod, ONLY: lunout, prt_level
@@ -1155,7 +1155,7 @@
   SUBROUTINE histwrite3d_phy(var, field, STD_iff)
 
-  USE mod_phys_lmdz_omp_transfert, ONLY: bcast_omp
+  USE lmdz_phys_omp_transfert, ONLY: bcast_omp
   USE dimphy, ONLY: klon, klev
-  USE mod_phys_lmdz_para, ONLY: gather_omp, grid1dto2d_mpi, &
+  USE lmdz_phys_para, ONLY: gather_omp, grid1dto2d_mpi, &
                                 jj_nb, klon_mpi, klon_mpi_begin, &
                                 klon_mpi_end, is_sequential, is_master
@@ -1164,5 +1164,5 @@
                                  nfiles, vars_defined, clef_stations, &
                                  nid_files, swaerofree_diag
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, grid_type, regular_lonlat, unstructured
+  USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, grid_type, regular_lonlat, unstructured
   USE lmdz_xios, ONLY: xios_send_field, xios_field_is_active, using_xios
   USE print_control_mod, ONLY: prt_level,lunout
@@ -1357,8 +1357,8 @@
 
   USE dimphy, ONLY: klon, klev
-  USE mod_phys_lmdz_para, ONLY: gather_omp, grid1Dto2D_mpi, &
+  USE lmdz_phys_para, ONLY: gather_omp, grid1Dto2D_mpi, &
                                 is_sequential, klon_mpi_begin, klon_mpi_end, &
                                 jj_nb, klon_mpi, is_master
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, grid_type, unstructured
+  USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, grid_type, unstructured
   USE lmdz_xios, ONLY: xios_send_field
   USE print_control_mod, ONLY: prt_level,lunout
@@ -1440,9 +1440,9 @@
 
   USE dimphy, ONLY: klon, klev
-  USE mod_phys_lmdz_para, ONLY: gather_omp, grid1Dto2D_mpi, &
+  USE lmdz_phys_para, ONLY: gather_omp, grid1Dto2D_mpi, &
                                 is_sequential, klon_mpi_begin, klon_mpi_end, &
                                 jj_nb, klon_mpi, is_master
   USE lmdz_xios, ONLY: xios_send_field
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, grid_type, unstructured
+  USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, grid_type, unstructured
   USE print_control_mod, ONLY: prt_level,lunout
 
@@ -1528,5 +1528,5 @@
   SUBROUTINE histwrite0d_xios(field_name, field)
   USE lmdz_xios, ONLY: xios_send_field
-  USE mod_phys_lmdz_para, ONLY: is_master
+  USE lmdz_phys_para, ONLY: is_master
   USE print_control_mod, ONLY: prt_level,lunout
   USE phys_output_var_mod, ONLY: vars_defined
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iophys.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iophys.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iophys.F90	(revision 5110)
@@ -6,7 +6,7 @@
       SUBROUTINE iophys_ecrit(nom,lllm,titre,unite,px)
 
-      USE mod_phys_lmdz_para, ONLY: klon_omp, is_mpi_root
-      USE mod_phys_lmdz_transfert_para, ONLY: gather
-      USE mod_grid_phy_lmdz, ONLY: klon_glo, nbp_lon, nbp_lat, grid1dto2d_glo
+      USE lmdz_phys_para, ONLY: klon_omp, is_mpi_root
+      USE lmdz_phys_transfert_para, ONLY: gather
+      USE lmdz_grid_phy, ONLY: klon_glo, nbp_lon, nbp_lat, grid1dto2d_glo
       IMPLICIT NONE
 
@@ -76,7 +76,7 @@
     SUBROUTINE iophys_ecrit_index(nom,lllm,titre,unite,knon,knindex,px)
 
-    USE mod_phys_lmdz_para, ONLY: klon_omp
+    USE lmdz_phys_para, ONLY: klon_omp
     USE dimphy, ONLY: klon
-    USE mod_grid_phy_lmdz, ONLY: klon_glo
+    USE lmdz_grid_phy, ONLY: klon_glo
     IMPLICIT NONE
 
@@ -110,9 +110,9 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
       SUBROUTINE iophys_ini(timestep)
-      USE mod_phys_lmdz_para, ONLY: is_mpi_root
+      USE lmdz_phys_para, ONLY: is_mpi_root
       USE vertical_layers_mod, ONLY: presnivs
       USE regular_lonlat_mod, ONLY: lon_reg, lat_reg
       USE dimphy, ONLY: klev
-      USE mod_grid_phy_lmdz, ONLY: klon_glo
+      USE lmdz_grid_phy, ONLY: klon_glo
       USE time_phylmdz_mod, ONLY: annee_ref, day_ref, day_ini
       USE phys_cal_mod, ONLY: calend
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iostart.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iostart.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iostart.F90	(revision 5110)
@@ -31,5 +31,5 @@
   SUBROUTINE Open_startphy(filename)
   USE netcdf, ONLY: nf90_nowrite, nf90_noerr,nf90_open
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   IMPLICIT NONE
     CHARACTER(LEN=*) :: filename
@@ -49,5 +49,5 @@
   SUBROUTINE Close_startphy
   USE netcdf, ONLY: nf90_close
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   IMPLICIT NONE
     INTEGER          :: ierr
@@ -62,5 +62,5 @@
   FUNCTION Inquire_Field(Field_name)
   USE netcdf, ONLY: nf90_noerr,nf90_inq_varid
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   IMPLICIT NONE
     CHARACTER(LEN=*) :: Field_name
@@ -118,6 +118,6 @@
   USE dimphy
   USE geometry_mod
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   IMPLICIT NONE
     CHARACTER(LEN=*) :: Field_name
@@ -253,6 +253,6 @@
   USE netcdf, ONLY: nf90_noerr,nf90_get_var,nf90_inq_varid
   USE dimphy
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   IMPLICIT NONE
     CHARACTER(LEN=*) :: var_name
@@ -303,6 +303,6 @@
   USE netcdf, ONLY: nf90_create,nf90_clobber,nf90_64bit_offset,nf90_noerr,nf90_strerror,&
           nf90_global,nf90_put_att,nf90_def_dim
-  USE mod_phys_lmdz_para, ONLY: is_master
-  USE mod_grid_phy_lmdz, ONLY: klon_glo
+  USE lmdz_phys_para, ONLY: is_master
+  USE lmdz_grid_phy, ONLY: klon_glo
   USE dimphy, ONLY: klev, klevp1
   USE print_control_mod, ONLY: lunout
@@ -334,5 +334,5 @@
   SUBROUTINE enddef_restartphy
   USE netcdf, ONLY: nf90_enddef
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   IMPLICIT NONE
     INTEGER          :: ierr
@@ -344,5 +344,5 @@
   SUBROUTINE close_restartphy
   USE netcdf, ONLY: nf90_close
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   IMPLICIT NONE
     INTEGER          :: ierr
@@ -390,6 +390,6 @@
   USE dimphy
   USE geometry_mod
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   IMPLICIT NONE
   INTEGER, INTENT(IN)            :: pass
@@ -513,5 +513,5 @@
   USE lmdz_cppkeys_wrapper, ONLY: nf90_format
   USE dimphy
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   IMPLICIT NONE
     INTEGER, INTENT(IN)         :: pass
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/limit_read_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/limit_read_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/limit_read_mod.F90	(revision 5110)
@@ -33,7 +33,7 @@
 
   SUBROUTINE init_limit_read(first_day)
-  USE mod_grid_phy_lmdz
+  USE lmdz_grid_phy
   USE surface_data
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   USE lmdz_xios
 
@@ -162,6 +162,6 @@
 
     USE dimphy
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_para
+    USE lmdz_grid_phy
+    USE lmdz_phys_para
     USE surface_data, ONLY: type_ocean, ok_veget
     USE netcdf, ONLY:nf90_get_var,nf90_inq_varid,nf90_close,nf90_inquire_dimension,&
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/limit_slab.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/limit_slab.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/limit_slab.F90	(revision 5110)
@@ -4,6 +4,6 @@
 
   USE dimphy
-  USE mod_grid_phy_lmdz, ONLY: klon_glo
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy, ONLY: klon_glo
+  USE lmdz_phys_para
   USE netcdf, ONLY: nf90_close,nf90_get_var,nf90_inq_varid,nf90_nowrite,nf90_noerr,nf90_open
   USE indice_sol_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lsc_scav.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lsc_scav.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lsc_scav.F90	(revision 5110)
@@ -7,6 +7,6 @@
   USE ioipsl
   USE dimphy
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE traclmdz_mod
   USE infotrac_phy,ONLY: nbtr
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/mo_simple_plumes.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/mo_simple_plumes.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/mo_simple_plumes.F90	(revision 5110)
@@ -74,7 +74,7 @@
   SUBROUTINE sp_setup
 
-    USE mod_phys_lmdz_mpi_data, ONLY: is_mpi_root
-    USE mod_phys_lmdz_omp_data, ONLY: is_omp_root
-    USE mod_phys_lmdz_transfert_para, ONLY: bcast
+    USE lmdz_phys_mpi_data, ONLY: is_mpi_root
+    USE lmdz_phys_omp_data, ONLY: is_omp_root
+    USE lmdz_phys_transfert_para, ONLY: bcast
 
     ! ---------- 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/mod_surf_para.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/mod_surf_para.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/mod_surf_para.F90	(revision 5110)
@@ -49,5 +49,5 @@
 
   SUBROUTINE Init_surf_para(knon)
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   USE lmdz_mpi
 
@@ -116,5 +116,5 @@
  
   SUBROUTINE Finalize_surf_para
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
 
 !$OMP BARRIER   
@@ -135,5 +135,5 @@
   
   SUBROUTINE gather_surf_i(FieldIn, FieldOut)
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
     INTEGER :: FieldIn(:)
     INTEGER :: FieldOut(:)
@@ -147,5 +147,5 @@
 
   SUBROUTINE gather_surf_omp_i(FieldIn,FieldOut)
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
     INTEGER :: FieldIn(:)
     INTEGER :: FieldOut(:)
@@ -165,5 +165,5 @@
      
   SUBROUTINE gather_surf_mpi_i(FieldIn,FieldOut)
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   USE lmdz_mpi
 
@@ -187,5 +187,5 @@
 
   SUBROUTINE gather_surf_r(FieldIn, FieldOut)
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
     REAL :: FieldIn(:)
     REAL :: FieldOut(:)
@@ -199,5 +199,5 @@
 
   SUBROUTINE gather_surf_omp_r(FieldIn,FieldOut)
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
     REAL :: FieldIn(:)
     REAL :: FieldOut(:)
@@ -217,5 +217,5 @@
      
   SUBROUTINE gather_surf_mpi_r(FieldIn,FieldOut)
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   USE lmdz_mpi
 
@@ -238,5 +238,5 @@
 
   SUBROUTINE scatter_surf_i(FieldIn, FieldOut)
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
     INTEGER :: FieldIn(:)
     INTEGER :: FieldOut(:)
@@ -250,5 +250,5 @@
 
   SUBROUTINE scatter_surf_omp_i(FieldIn,FieldOut)
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
     INTEGER :: FieldIn(:)
     INTEGER :: FieldOut(:)
@@ -267,5 +267,5 @@
      
   SUBROUTINE scatter_surf_mpi_i(FieldIn,FieldOut)
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   USE lmdz_mpi
 
@@ -287,5 +287,5 @@
 
   SUBROUTINE scatter_surf_r(FieldIn, FieldOut)
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
     REAL :: FieldIn(:)
     REAL :: FieldOut(:)
@@ -299,5 +299,5 @@
 
   SUBROUTINE scatter_surf_omp_r(FieldIn,FieldOut)
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
     REAL :: FieldIn(:)
     REAL :: FieldOut(:)
@@ -316,5 +316,5 @@
      
   SUBROUTINE scatter_surf_mpi_r(FieldIn,FieldOut)
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   USE lmdz_mpi
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/mod_synchro_omp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/mod_synchro_omp.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/mod_synchro_omp.F90	(revision 5110)
@@ -9,5 +9,5 @@
 
   SUBROUTINE Init_synchro_omp
-  USE mod_phys_lmdz_para 
+  USE lmdz_phys_para
   IMPLICIT NONE
 
@@ -21,5 +21,5 @@
   
   SUBROUTINE Synchro_omp  
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   IMPLICIT NONE
   LOGICAL :: out
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/o3_chem_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/o3_chem_m.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/o3_chem_m.F90	(revision 5110)
@@ -20,5 +20,5 @@
     use dimphy, only: klon
     use regr_pr_comb_coefoz_m, only: c_Mob, a4_mass, a2, r_het_interm
-    use mod_grid_phy_lmdz, only: nbp_lev
+    use lmdz_grid_phy, only: nbp_lev
     use nrtype, only: pi
 
@@ -118,5 +118,5 @@
     use assert_m, only: assert
     use dimphy, only: klon
-    use mod_grid_phy_lmdz, only: nbp_lev
+    use lmdz_grid_phy, only: nbp_lev
 
     real, intent(in):: q(:, :) ! mass fraction of ozone
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/oasis.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/oasis.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/oasis.F90	(revision 5110)
@@ -11,5 +11,5 @@
 
   USE dimphy 
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   USE write_field_phy
 
@@ -118,7 +118,7 @@
     USE lmdz_xios  
     USE print_control_mod, ONLY: lunout
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, grid_type, unstructured, regular_lonlat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, grid_type, unstructured, regular_lonlat
     USE geometry_mod, ONLY: ind_cell_glo                    
-    USE mod_phys_lmdz_mpi_data, ONLY: klon_mpi_para_nb
+    USE lmdz_phys_mpi_data, ONLY: klon_mpi_para_nb
     use config_ocean_skin_m, only: activate_ocean_skin
 
@@ -404,5 +404,5 @@
 
     USE print_control_mod, ONLY: lunout
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
 ! Input arguments
 !************************************************************************************
@@ -464,5 +464,5 @@
 
     USE print_control_mod, ONLY: lunout
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
 ! Input arguments
 !************************************************************************************
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_forced_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_forced_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_forced_mod.F90	(revision 5110)
@@ -37,5 +37,5 @@
     USE calcul_fluxs_mod
     USE limit_read_mod
-    USE mod_grid_phy_lmdz
+    USE lmdz_grid_phy
     USE indice_sol_mod
     USE phys_output_var_mod, ONLY: sens_prec_liq_o, sens_prec_sol_o, lat_prec_liq_o, lat_prec_sol_o
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_slab_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_slab_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_slab_mod.F90	(revision 5110)
@@ -8,6 +8,6 @@
   USE indice_sol_mod
   USE surface_data
-  USE mod_grid_phy_lmdz, ONLY: klon_glo
-  USE mod_phys_lmdz_mpi_data, ONLY: is_mpi_root
+  USE lmdz_grid_phy, ONLY: klon_glo
+  USE lmdz_phys_mpi_data, ONLY: is_mpi_root
 
   IMPLICIT NONE
@@ -129,5 +129,5 @@
 
     USE ioipsl_getin_p_mod, ONLY: getin_p
-    USE mod_phys_lmdz_transfert_para, ONLY: gather
+    USE lmdz_phys_transfert_para, ONLY: gather
     USE slab_heat_transp_mod, ONLY: ini_slab_transp
 
@@ -344,5 +344,5 @@
     USE calcul_fluxs_mod
     USE slab_heat_transp_mod, ONLY: divgrad_phy,slab_ekman1,slab_ekman2,slab_gmdiff
-    USE mod_phys_lmdz_para
+    USE lmdz_phys_para
 
     INCLUDE "clesphys.h"
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/open_climoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/open_climoz_m.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/open_climoz_m.F90	(revision 5110)
@@ -14,6 +14,6 @@
   USE netcdf95, ONLY: nf95_open, nf95_close, nf95_gw_var, nf95_inq_varid
   USE netcdf,   ONLY: nf90_nowrite
-  USE mod_phys_lmdz_mpi_data,      ONLY: is_mpi_root
-  USE mod_phys_lmdz_mpi_transfert, ONLY: bcast_mpi
+  USE lmdz_phys_mpi_data,      ONLY: is_mpi_root
+  USE lmdz_phys_mpi_transfert, ONLY: bcast_mpi
   USE phys_cal_mod,                ONLY: calend, year_len, year_cur
 !-------------------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/orografi.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/orografi.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/orografi.F90	(revision 5110)
@@ -1557,6 +1557,6 @@
 SUBROUTINE sugwd(nlon, nlev, paprs, pplay)
   USE dimphy
-  USE mod_phys_lmdz_para
-  USE mod_grid_phy_lmdz
+  USE lmdz_phys_para
+  USE lmdz_grid_phy
   ! USE parallel
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/orografi_strato.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/orografi_strato.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/orografi_strato.F90	(revision 5110)
@@ -1817,6 +1817,6 @@
   ! ------------------------------------------------------------------
   USE dimphy
-  USE mod_phys_lmdz_para
-  USE mod_grid_phy_lmdz
+  USE lmdz_phys_para
+  USE lmdz_grid_phy
   USE geometry_mod
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/output_physiqex_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/output_physiqex_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/output_physiqex_mod.F90	(revision 5110)
@@ -10,7 +10,7 @@
       USE iophy, ONLY: histbeg_phy,histwrite_phy
       USE ioipsl, ONLY: histvert,histdef,histend,histsync
-      USE mod_phys_lmdz_para, ONLY: jj_nb
+      USE lmdz_phys_para, ONLY: jj_nb
       USE ioipsl_getin_p_mod, ONLY: getin_p
-      USE mod_grid_phy_lmdz, ONLY: nbp_lon,nbp_lat
+      USE lmdz_grid_phy, ONLY: nbp_lon,nbp_lat
       USE iophy, ONLY: init_iophy_new
       USE geometry_mod, ONLY: latitude_deg, longitude_deg
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/paramlmdz_phy_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/paramlmdz_phy_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/paramlmdz_phy_mod.F90	(revision 5110)
@@ -11,9 +11,9 @@
     USE dimphy
     USE ioipsl, only: histbeg, histvert, histdef, histend, ymds2ju
-    USE mod_phys_lmdz_mpi_data, ONLY: is_mpi_root
+    USE lmdz_phys_mpi_data, ONLY: is_mpi_root
     USE geometry_mod, ONLY: longitude_deg, latitude_deg
-    USE mod_grid_phy_lmdz, only: nbp_lon, nbp_lat, klon_glo
+    USE lmdz_grid_phy, only: nbp_lon, nbp_lat, klon_glo
     USE time_phylmdz_mod, ONLY: annee_ref, day_ref, itau_phy, pdtphys
-    USE mod_phys_lmdz_transfert_para, ONLY: gather, bcast
+    USE lmdz_phys_transfert_para, ONLY: gather, bcast
 
     IMPLICIT NONE
@@ -143,7 +143,7 @@
   SUBROUTINE write_paramLMDZ_phy(itap,nid_ctesGCM,ok_sync)
 
-    USE mod_phys_lmdz_mpi_data, ONLY: is_mpi_root
+    USE lmdz_phys_mpi_data, ONLY: is_mpi_root
     USE time_phylmdz_mod, ONLY: day_step_phy, annee_ref, itau_phy, start_time
-    USE mod_grid_phy_lmdz, only: nbp_lon, nbp_lat, klon_glo
+    USE lmdz_grid_phy, only: nbp_lon, nbp_lat, klon_glo
 
     USE iophy
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90	(revision 5110)
@@ -11,6 +11,6 @@
 
   USE dimphy
-  USE mod_phys_lmdz_para,  ONLY: mpi_size
-  USE mod_grid_phy_lmdz,   ONLY: klon_glo
+  USE lmdz_phys_para,  ONLY: mpi_size
+  USE lmdz_grid_phy,   ONLY: klon_glo
   USE ioipsl
   USE surface_data,        ONLY: type_ocean, ok_veget, landice_opt
@@ -396,5 +396,5 @@
     USE indice_sol_mod
     USE time_phylmdz_mod,   ONLY: day_ini,annee_ref,itau_phy
-    USE mod_grid_phy_lmdz,  ONLY: nbp_lon, nbp_lat, grid1dto2d_glo
+    USE lmdz_grid_phy,  ONLY: nbp_lon, nbp_lat, grid1dto2d_glo
     USE print_control_mod,  ONLY: prt_level,lunout
 #ifdef ISO
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phyaqua_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phyaqua_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phyaqua_mod.F90	(revision 5110)
@@ -33,7 +33,7 @@
     USE nrtype, ONLY: pi
 !    USE ioipsl
-    USE mod_phys_lmdz_para, ONLY: is_master
-    USE mod_phys_lmdz_transfert_para, ONLY: bcast
-    USE mod_grid_phy_lmdz
+    USE lmdz_phys_para, ONLY: is_master
+    USE lmdz_phys_transfert_para, ONLY: bcast
+    USE lmdz_grid_phy
     USE ioipsl_getin_p_mod, ONLY: getin_p
     USE phys_cal_mod , ONLY: calend, year_len_phy => year_len 
@@ -512,6 +512,6 @@
       phy_ice, phy_fter, phy_foce, phy_flic, phy_fsic)
 
-    USE mod_phys_lmdz_para, ONLY: is_omp_master, klon_mpi
-    USE mod_phys_lmdz_transfert_para, ONLY: gather_omp
+    USE lmdz_phys_para, ONLY: is_omp_master, klon_mpi
+    USE lmdz_phys_transfert_para, ONLY: gather_omp
     USE lmdz_xios
     IMPLICIT NONE
@@ -566,7 +566,7 @@
       phy_ice, phy_fter, phy_foce, phy_flic, phy_fsic)
 
-    USE mod_phys_lmdz_para, ONLY: is_master
-    USE mod_grid_phy_lmdz, ONLY: klon_glo
-    USE mod_phys_lmdz_transfert_para, ONLY: gather
+    USE lmdz_phys_para, ONLY: is_master
+    USE lmdz_grid_phy, ONLY: klon_glo
+    USE lmdz_phys_transfert_para, ONLY: gather
     USE phys_cal_mod, ONLY: year_len
     USE netcdf, ONLY: nf90_def_var, nf90_put_var, nf90_get_var, nf90_strerror, nf90_close, &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phys_cal_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phys_cal_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phys_cal_mod.F90	(revision 5110)
@@ -38,5 +38,5 @@
 
     USE IOIPSL, ONLY:  ymds2ju, ioconf_calendar
-    USE mod_phys_lmdz_para, ONLY:  is_master,is_omp_master
+    USE lmdz_phys_para, ONLY:  is_master,is_omp_master
     USE ioipsl_getin_p_mod, ONLY: getin_p
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_mod.F90	(revision 5110)
@@ -38,9 +38,9 @@
     USE ioipsl
     USE phys_cal_mod, ONLY: hour, calend
-    USE mod_phys_lmdz_para
+    USE lmdz_phys_para
     !Martin
     USE surface_data, ONLY: landice_opt
     USE phys_output_ctrlout_mod
-    USE mod_grid_phy_lmdz, only: klon_glo,nbp_lon,nbp_lat
+    USE lmdz_grid_phy, only: klon_glo,nbp_lon,nbp_lat
     USE print_control_mod, ONLY: prt_level,lunout
     USE vertical_layers_mod, ONLY: ap,bp,preff,presnivs, aps, bps, pseudoalt, presinter
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_write_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_write_mod.F90	(revision 5110)
@@ -27,6 +27,6 @@
     USE infotrac_phy, ONLY: nbtr, nqtot, nqo, type_trac, tracers, niso, ntiso
     USE strings_mod,  ONLY: maxlen
-    USE mod_phys_lmdz_para, ONLY: is_north_pole_phy,is_south_pole_phy
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_phys_para, ONLY: is_north_pole_phy,is_south_pole_phy
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
     USE time_phylmdz_mod, ONLY: day_step_phy, start_time, itau_phy
     USE vertical_layers_mod, ONLY: ap, bp, aps, bps
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5110)
@@ -43,7 +43,7 @@
     USE iophy
     USE limit_read_mod, ONLY: init_limit_read
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, nbp_lev, klon_glo, grid1dTo2d_glo, grid_type, unstructured
-    USE mod_phys_lmdz_mpi_data, ONLY: is_mpi_root
-    USE mod_phys_lmdz_para
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, nbp_lev, klon_glo, grid1dTo2d_glo, grid_type, unstructured
+    USE lmdz_phys_mpi_data, ONLY: is_mpi_root
+    USE lmdz_phys_para
     USE netcdf95, ONLY: nf95_close
     USE netcdf, ONLY: nf90_fill_real     ! IM for NMC files
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phystokenc_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phystokenc_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phystokenc_mod.F90	(revision 5110)
@@ -38,5 +38,5 @@
   USE indice_sol_mod
   USE print_control_mod, ONLY: lunout
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+  USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
   
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phytrac_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phytrac_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phytrac_mod.F90	(revision 5110)
@@ -124,6 +124,6 @@
     USE infotrac_phy, ONLY: nbtr, nqCO2, type_trac, conv_flg, pbl_flg
     USE strings_mod, ONLY: int2str
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_para
+    USE lmdz_grid_phy
+    USE lmdz_phys_para
     USE iophy
     USE traclmdz_mod
@@ -131,5 +131,5 @@
     USE tracreprobus_mod
     USE indice_sol_mod
-    USE mod_phys_lmdz_mpi_data, ONLY: is_mpi_root
+    USE lmdz_phys_mpi_data, ONLY: is_mpi_root
     USE print_control_mod, ONLY: lunout
     USE aero_mod, ONLY: naero_grp
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/press_coefoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/press_coefoz_m.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/press_coefoz_m.F90	(revision 5110)
@@ -26,6 +26,6 @@
     use netcdf, only: nf90_nowrite
 
-    use mod_phys_lmdz_mpi_data, only: is_mpi_root
-    use mod_phys_lmdz_mpi_transfert, only: bcast_mpi ! broadcast
+    use lmdz_phys_mpi_data, only: is_mpi_root
+    use lmdz_phys_mpi_transfert, only: bcast_mpi ! broadcast
 
     ! Variables local to the procedure:
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/read_map2D.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/read_map2D.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/read_map2D.F90	(revision 5110)
@@ -4,6 +4,6 @@
   USE dimphy
   USE netcdf, ONLY: nf90_open,nf90_close,nf90_nowrite,nf90_noerr,nf90_get_var,nf90_inq_varid
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE print_control_mod, ONLY: lunout
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/read_pstoke.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/read_pstoke.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/read_pstoke.F90	(revision 5110)
@@ -21,5 +21,5 @@
   USE dimphy
   USE indice_sol_mod
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, nbp_lev
+  USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, nbp_lev
 
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/read_pstoke0.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/read_pstoke0.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/read_pstoke0.F90	(revision 5110)
@@ -20,5 +20,5 @@
   USE dimphy
   USE indice_sol_mod
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, nbp_lev
+  USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, nbp_lev
 
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_interp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_interp.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_interp.F90	(revision 5110)
@@ -15,5 +15,5 @@
   USE ioipsl
   USE dimphy, ONLY: klev,klon
-  USE mod_phys_lmdz_para, ONLY: mpi_rank
+  USE lmdz_phys_para, ONLY: mpi_rank
   USE readaerosol_mod
   USE aero_mod, ONLY: naero_spc, name_aero
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_mod.F90	(revision 5110)
@@ -177,6 +177,6 @@
 
 SUBROUTINE init_aero_fromfile(flag_aerosol, aerosol_couple)
-  USE mod_phys_lmdz_para
-  USE mod_grid_phy_lmdz, ONLY: grid_type, unstructured
+  USE lmdz_phys_para
+  USE lmdz_grid_phy, ONLY: grid_type, unstructured
   USE lmdz_xios
   IMPLICIT NONE
@@ -268,7 +268,7 @@
 
     USE dimphy
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon_=>nbp_lon, nbp_lat_=>nbp_lat, klon_glo, &
+    USE lmdz_grid_phy, ONLY: nbp_lon_=>nbp_lon, nbp_lat_=>nbp_lat, klon_glo, &
                                  grid2Dto1D_glo, grid_type, unstructured
-    USE mod_phys_lmdz_para
+    USE lmdz_phys_para
     USE iophy, ONLY: io_lon, io_lat
     USE print_control_mod, ONLY: lunout
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato.F90	(revision 5110)
@@ -6,9 +6,9 @@
 
     USE phys_cal_mod, ONLY: mth_cur
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, klon_glo, &
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, klon_glo, &
                                  grid2dto1d_glo, grid_type, unstructured
-    USE mod_phys_lmdz_mpi_data, ONLY:  is_mpi_root
-    USE mod_phys_lmdz_omp_data, ONLY:  is_omp_root
-    USE mod_phys_lmdz_para 
+    USE lmdz_phys_mpi_data, ONLY:  is_mpi_root
+    USE lmdz_phys_omp_data, ONLY:  is_omp_root
+    USE lmdz_phys_para
     USE phys_state_var_mod
     USE phys_local_var_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato_m.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato_m.F90	(revision 5110)
@@ -5,5 +5,5 @@
 
   SUBROUTINE init_readaerosolstrato(flag_aerosol_strat)
-  USE mod_grid_phy_lmdz, ONLY: grid_type, unstructured
+  USE lmdz_grid_phy, ONLY: grid_type, unstructured
   IMPLICIT NONE
   INTEGER,INTENT(IN) :: flag_aerosol_strat
@@ -27,5 +27,5 @@
   USE netcdf95, ONLY: nf95_close, nf95_gw_var, nf95_inq_dimid, &
                       nf95_inq_varid, nf95_open
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   USE lmdz_xios
 !  USE YOERAD, ONLY: NLW
@@ -70,5 +70,5 @@
   USE netcdf95, ONLY: nf95_close, nf95_gw_var, nf95_inq_dimid, &
                       nf95_inq_varid, nf95_open
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   USE lmdz_xios
 !  USE YOERAD, ONLY: NLW
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/readchlorophyll.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/readchlorophyll.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/readchlorophyll.F90	(revision 5110)
@@ -10,8 +10,8 @@
     USE netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_nowrite
     USE phys_cal_mod, ONLY: mth_cur
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, klon_glo, grid2dto1d_glo
-    USE mod_phys_lmdz_mpi_data, ONLY: is_mpi_root
-    USE mod_phys_lmdz_omp_data, ONLY: is_omp_root
-    USE mod_phys_lmdz_para, ONLY: scatter 
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, klon_glo, grid2dto1d_glo
+    USE lmdz_phys_mpi_data, ONLY: is_mpi_root
+    USE lmdz_phys_omp_data, ONLY: is_omp_root
+    USE lmdz_phys_para, ONLY: scatter
     USE phys_state_var_mod, ONLY: chl_con
     USE print_control_mod, ONLY: prt_level,lunout
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_horiz_time_climoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_horiz_time_climoz_m.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_horiz_time_climoz_m.F90	(revision 5110)
@@ -2,5 +2,5 @@
 
   USE interpolation, ONLY: locate
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, grid_type, unstructured
+  USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, grid_type, unstructured
   USE nrtype, ONLY: pi
   USE netcdf, ONLY: nf90_clobber, nf90_float, nf90_open, &
@@ -67,7 +67,7 @@
     USE slopes_m, ONLY: slopes
     USE lmdz_xios
-    USE mod_phys_lmdz_para, ONLY: is_mpi_root, is_master, is_omp_master, gather, gather_mpi, bcast_mpi, klon_mpi
+    USE lmdz_phys_para, ONLY: is_mpi_root, is_master, is_omp_master, gather, gather_mpi, bcast_mpi, klon_mpi
     USE geometry_mod, ONLY: latitude_deg, ind_cell_glo
-    USE mod_grid_phy_lmdz, ONLY: klon_glo
+    USE lmdz_grid_phy, ONLY: klon_glo
 
     !-------------------------------------------------------------------------------
@@ -601,6 +601,6 @@
     USE regular_lonlat_mod, ONLY: lon_reg, lat_reg
     USE regular_lonlat_mod, ONLY: lon_reg, lat_reg
-    USE mod_phys_lmdz_para, ONLY: is_mpi_root
-    USE mod_grid_phy_lmdz, ONLY: klon_glo
+    USE lmdz_phys_para, ONLY: is_mpi_root
+    USE lmdz_grid_phy, ONLY: klon_glo
 
     !-------------------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_lat_time_coefoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_lat_time_coefoz_m.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_lat_time_coefoz_m.F90	(revision 5110)
@@ -40,5 +40,5 @@
     ! when we regrid in pressure).
 
-    use mod_grid_phy_lmdz, ONLY: nbp_lat
+    use lmdz_grid_phy, ONLY: nbp_lat
     use regr_conserv_m, only: regr_conserv
     use regr_lint_m, only: regr_lint
@@ -240,5 +240,5 @@
     ! dimensions and variables, and writes one of the coordinate variables.
 
-    use mod_grid_phy_lmdz, ONLY: nbp_lat
+    use lmdz_grid_phy, ONLY: nbp_lat
     use assert_eq_m, only: assert_eq
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_comb_coefoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_comb_coefoz_m.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_comb_coefoz_m.F90	(revision 5110)
@@ -40,5 +40,5 @@
 
     use dimphy, only: klon
-    use mod_grid_phy_lmdz, only: nbp_lev
+    use lmdz_grid_phy, only: nbp_lev
 
     ! Variables local to the procedure:
@@ -75,9 +75,9 @@
     use assert_m, only: assert
     use dimphy, only: klon
-    use mod_phys_lmdz_mpi_data, only: is_mpi_root
+    use lmdz_phys_mpi_data, only: is_mpi_root
     use regr_pr_time_av_m, only: regr_pr_time_av
     use regr_pr_int_m, only: regr_pr_int
     use press_coefoz_m, only: press_in_edg, plev
-    use mod_grid_phy_lmdz, only: nbp_lev
+    use lmdz_grid_phy, only: nbp_lev
 
     integer, intent(in):: julien ! jour julien, 1 <= julien <= 360
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_int_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_int_m.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_int_m.F90	(revision 5110)
@@ -28,7 +28,7 @@
     use assert_m, only: assert
     use regr_lint_m, only: regr_lint
-    use mod_phys_lmdz_mpi_data, only: is_mpi_root
-    use mod_grid_phy_lmdz, only: nbp_lon, nbp_lat, nbp_lev
-    use mod_phys_lmdz_transfert_para, only: scatter2d
+    use lmdz_phys_mpi_data, only: is_mpi_root
+    use lmdz_grid_phy, only: nbp_lon, nbp_lat, nbp_lev
+    use lmdz_phys_transfert_para, only: scatter2d
     ! (pack to the LMDZ horizontal "physics" grid and scatter)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_o3_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_o3_m.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_o3_m.F90	(revision 5110)
@@ -31,5 +31,5 @@
     use press_coefoz_m, only: press_in_edg
     use time_phylmdz_mod, only: day_ref
-    use mod_grid_phy_lmdz, only: nbp_lon, nbp_lat, nbp_lev
+    use lmdz_grid_phy, only: nbp_lon, nbp_lat, nbp_lev
 
     REAL, intent(in):: p3d(:, :, :) ! pressure at layer interfaces, in Pa
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90	(revision 5110)
@@ -3,6 +3,6 @@
 
   USE write_field_phy
-  USE mod_phys_lmdz_transfert_para, ONLY: bcast
-  USE mod_phys_lmdz_para, ONLY: mpi_rank, omp_rank
+  USE lmdz_phys_transfert_para, ONLY: bcast
+  USE lmdz_phys_para, ONLY: mpi_rank, omp_rank
   USE print_control_mod,  ONLY: prt_level
   IMPLICIT NONE
@@ -123,7 +123,7 @@
   USE regr_lint_m,    ONLY: regr_lint
   USE slopes_m,       ONLY: slopes
-  USE mod_phys_lmdz_para,           ONLY: is_mpi_root,is_master
-  USE mod_grid_phy_lmdz,            ONLY: nlon=>nbp_lon, nlat=>nbp_lat, nlev_ou=>nbp_lev, klon_glo, grid_type, unstructured
-  USE mod_phys_lmdz_transfert_para, ONLY: scatter2d, scatter, gather
+  USE lmdz_phys_para,           ONLY: is_mpi_root,is_master
+  USE lmdz_grid_phy,            ONLY: nlon=>nbp_lon, nlat=>nbp_lat, nlev_ou=>nbp_lev, klon_glo, grid_type, unstructured
+  USE lmdz_phys_transfert_para, ONLY: scatter2d, scatter, gather
   USE phys_cal_mod,                 ONLY: calend, year_len, days_elapsed, jH_cur
   USE geometry_mod,                 ONLY: ind_cell_glo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/slab_heat_transp_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/slab_heat_transp_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/slab_heat_transp_mod.F90	(revision 5110)
@@ -5,5 +5,5 @@
 ! and / or Ekman transport
 
-USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, klon_glo
+USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, klon_glo
 IMPLICIT NONE
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/soil.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/soil.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/soil.F90	(revision 5110)
@@ -6,5 +6,5 @@
   
   USE dimphy
-  USE mod_phys_lmdz_para
+  USE lmdz_phys_para
   USE indice_sol_mod
   USE print_control_mod, ONLY: lunout
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_bucket_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_bucket_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_bucket_mod.F90	(revision 5110)
@@ -31,6 +31,6 @@
     USE dimphy
     USE geometry_mod, ONLY: longitude,latitude 
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_para
+    USE lmdz_grid_phy
+    USE lmdz_phys_para
     USE indice_sol_mod
 #ifdef ISO
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_mod.F90	(revision 5110)
@@ -26,6 +26,6 @@
   USE surface_data, ONLY: type_ocean, landice_opt
   USE geometry_mod, ONLY: dx, dy, boundslon, boundslat,longitude, latitude, cell_area,  ind_cell_glo
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para, mpi_root_rank=>mpi_master
+  USE lmdz_grid_phy
+  USE lmdz_phys_para, mpi_root_rank=>mpi_master
   USE carbon_cycle_mod, ONLY: nbcf_in_orc, nbcf_out, fields_in, yfields_in, yfields_out, cfname_in, cfname_out
   USE nrtype, ONLY: PI
@@ -57,5 +57,5 @@
     USE indice_sol_mod
     USE print_control_mod, ONLY: lunout
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
 #ifdef CPP_VEGET
     USE time_phylmdz_mod, ONLY: itau_phy 
@@ -658,5 +658,5 @@
   SUBROUTINE Init_orchidee_index(knon,knindex,offset,ktindex)
   USE mod_surf_para
-  USE mod_grid_phy_lmdz
+  USE lmdz_grid_phy
   
     INTEGER,INTENT(IN)    :: knon
@@ -741,5 +741,5 @@
 
   SUBROUTINE Init_neighbours(knon,neighbours,knindex,pctsrf)
-    USE mod_grid_phy_lmdz
+    USE lmdz_grid_phy
     USE mod_surf_para    
     USE indice_sol_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nofrein_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nofrein_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nofrein_mod.F90	(revision 5110)
@@ -26,6 +26,6 @@
   USE surface_data, ONLY: type_ocean
   USE geometry_mod, ONLY: dx, dy
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para, mpi_root_rank=>mpi_master
+  USE lmdz_grid_phy
+  USE lmdz_phys_para, mpi_root_rank=>mpi_master
 
   IMPLICIT NONE
@@ -56,5 +56,5 @@
     USE indice_sol_mod
     USE print_control_mod, ONLY: lunout
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
 #ifdef CPP_VEGET
     USE time_phylmdz_mod, ONLY: itau_phy 
@@ -482,5 +482,5 @@
   SUBROUTINE Init_orchidee_index(knon,knindex,offset,ktindex)
   USE mod_surf_para
-  USE mod_grid_phy_lmdz
+  USE lmdz_grid_phy
   
     INTEGER,INTENT(IN)    :: knon
@@ -563,5 +563,5 @@
 
   SUBROUTINE Init_neighbours(knon,neighbours,knindex,pctsrf)
-    USE mod_grid_phy_lmdz
+    USE lmdz_grid_phy
     USE mod_surf_para    
     USE indice_sol_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nolic_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nolic_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nolic_mod.F90	(revision 5110)
@@ -22,6 +22,6 @@
   USE surface_data, ONLY: type_ocean
   USE geometry_mod, ONLY: dx, dy, boundslon, boundslat,longitude, latitude, cell_area,  ind_cell_glo
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para, mpi_root_rank=>mpi_master
+  USE lmdz_grid_phy
+  USE lmdz_phys_para, mpi_root_rank=>mpi_master
   USE carbon_cycle_mod, ONLY: nbcf_in_orc, nbcf_out, fields_in, yfields_in, yfields_out, cfname_in, cfname_out
   USE nrtype, ONLY: PI
@@ -53,5 +53,5 @@
     USE indice_sol_mod
     USE print_control_mod, ONLY: lunout
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
 #ifdef CPP_VEGET
     USE time_phylmdz_mod, ONLY: itau_phy 
@@ -647,5 +647,5 @@
   SUBROUTINE Init_orchidee_index(knon,knindex,offset,ktindex)
   USE mod_surf_para
-  USE mod_grid_phy_lmdz
+  USE lmdz_grid_phy
   
     INTEGER,INTENT(IN)    :: knon
@@ -730,5 +730,5 @@
 
   SUBROUTINE Init_neighbours(knon,neighbours,knindex,pctsrf)
-    USE mod_grid_phy_lmdz
+    USE lmdz_grid_phy
     USE mod_surf_para    
     USE indice_sol_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90	(revision 5110)
@@ -23,6 +23,6 @@
   USE surface_data, ONLY: type_ocean
   USE geometry_mod, ONLY: dx, dy
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
 
   IMPLICIT NONE
@@ -101,5 +101,5 @@
     USE carbon_cycle_mod, ONLY: carbon_cycle_cpl, fco2_land_inst, fco2_lu_inst
     USE indice_sol_mod
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
     USE print_control_mod, ONLY: lunout
 #ifdef CPP_VEGET
@@ -538,5 +538,5 @@
   SUBROUTINE Init_orchidee_index(knon,orch_comm,knindex,offset,ktindex)
     
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
     USE lmdz_mpi
 
@@ -627,5 +627,5 @@
     
     USE indice_sol_mod
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
     USE lmdz_mpi
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nounstruct_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nounstruct_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nounstruct_mod.F90	(revision 5110)
@@ -22,6 +22,6 @@
   USE surface_data, ONLY: type_ocean
   USE geometry_mod, ONLY: dx, dy
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para, mpi_root_rank=>mpi_master
+  USE lmdz_grid_phy
+  USE lmdz_phys_para, mpi_root_rank=>mpi_master
 
   IMPLICIT NONE
@@ -52,5 +52,5 @@
     USE indice_sol_mod
     USE print_control_mod, ONLY: lunout
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
 #ifdef CPP_VEGET
     USE time_phylmdz_mod, ONLY: itau_phy 
@@ -479,5 +479,5 @@
   SUBROUTINE Init_orchidee_index(knon,knindex,offset,ktindex)
   USE mod_surf_para
-  USE mod_grid_phy_lmdz
+  USE lmdz_grid_phy
   
     INTEGER,INTENT(IN)    :: knon
@@ -560,5 +560,5 @@
 
   SUBROUTINE Init_neighbours(knon,neighbours,knindex,pctsrf)
-    USE mod_grid_phy_lmdz
+    USE lmdz_grid_phy
     USE mod_surf_para    
     USE indice_sol_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noz0h_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noz0h_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noz0h_mod.F90	(revision 5110)
@@ -25,6 +25,6 @@
   USE surface_data, ONLY: type_ocean
   USE geometry_mod, ONLY: dx, dy
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para, mpi_root_rank=>mpi_master
+  USE lmdz_grid_phy
+  USE lmdz_phys_para, mpi_root_rank=>mpi_master
 
   IMPLICIT NONE
@@ -54,5 +54,5 @@
     USE indice_sol_mod
     USE print_control_mod, ONLY: lunout
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
 #ifdef CPP_VEGET
     USE time_phylmdz_mod, ONLY: itau_phy 
@@ -482,5 +482,5 @@
   SUBROUTINE Init_orchidee_index(knon,knindex,offset,ktindex)
   USE mod_surf_para
-  USE mod_grid_phy_lmdz
+  USE lmdz_grid_phy
   
     INTEGER,INTENT(IN)    :: knon
@@ -563,5 +563,5 @@
 
   SUBROUTINE Init_neighbours(knon,neighbours,knindex,pctsrf)
-    USE mod_grid_phy_lmdz
+    USE lmdz_grid_phy
     USE mod_surf_para    
     USE indice_sol_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/tracco2i_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/tracco2i_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/tracco2i_mod.F90	(revision 5110)
@@ -42,8 +42,8 @@
     USE carbon_cycle_mod, ONLY: ocean_area_tot
     USE carbon_cycle_mod, ONLY: land_area_tot
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_mpi_data, ONLY: is_mpi_root
-    USE mod_phys_lmdz_para, ONLY: gather, bcast, scatter
-    USE mod_phys_lmdz_omp_data, ONLY: is_omp_root
+    USE lmdz_grid_phy
+    USE lmdz_phys_mpi_data, ONLY: is_mpi_root
+    USE lmdz_phys_para, ONLY: gather, bcast, scatter
+    USE lmdz_phys_omp_data, ONLY: is_omp_root
     USE phys_cal_mod
     USE phys_state_var_mod, ONLY: pctsrf
@@ -345,7 +345,7 @@
 !    USE infotrac_phy
     USE geometry_mod, ONLY: cell_area
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_mpi_data, ONLY: is_mpi_root
-    USE mod_phys_lmdz_para, ONLY: gather, scatter
+    USE lmdz_grid_phy
+    USE lmdz_phys_mpi_data, ONLY: is_mpi_root
+    USE lmdz_phys_para, ONLY: gather, scatter
     USE phys_cal_mod
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/tracinca_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/tracinca_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/tracinca_mod.F90	(revision 5110)
@@ -60,5 +60,5 @@
     USE indice_sol_mod
     USE geometry_mod, ONLY: cell_area
-    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
     USE aero_mod, ONLY: naero_grp
     USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_INCA
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/traclmdz_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/traclmdz_mod.F90	(revision 5107)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/traclmdz_mod.F90	(revision 5110)
@@ -91,6 +91,6 @@
     USE regr_pr_comb_coefoz_m, ONLY: alloc_coefoz
     USE press_coefoz_m, ONLY: press_coefoz
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_para
+    USE lmdz_grid_phy
+    USE lmdz_phys_para
     USE indice_sol_mod
     USE print_control_mod, ONLY: lunout
